/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02884
 |        NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
 |                               1992-1997
 |       (DATASET 0001: NTIES RESEARCH INTAKE QUESTIONNAIRE (NRIQ))
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (R2 <= -1) THEN R2 = .;
   IF (R5M1 <= -1) THEN R5M1 = .;
   IF (R15 <= -1) THEN R15 = .;
   IF (PRGMTYPE <= -1) THEN PRGMTYPE = .;
   IF (TRTMENT <= -1) THEN TRTMENT = .;
   IF (TRT2 <= -1) THEN TRT2 = .;
   IF (PRG2 <= -1) THEN PRG2 = .;
   IF (CELL <= -1) THEN CELL = .;
   IF (CELL2 <= -1) THEN CELL2 = .;
   IF (R17 <= -1) THEN R17 = .;
   IF (R19 <= -1) THEN R19 = .;
   IF (R21 <= -1) THEN R21 = .;
   IF (R24M1 <= -1) THEN R24M1 = .;
   IF (R24M2 <= -1) THEN R24M2 = .;
   IF (R24M3 <= -1) THEN R24M3 = .;
   IF (R24M4 <= -1) THEN R24M4 = .;
   IF (R24M6 <= -1) THEN R24M6 = .;
   IF (R24M7 <= -1) THEN R24M7 = .;
   IF (R24M8 <= -1) THEN R24M8 = .;
   IF (R24M9 <= -1) THEN R24M9 = .;
   IF (R24M10 <= -1) THEN R24M10 = .;
   IF (R24M11 <= -1) THEN R24M11 = .;
   IF (R24M12 <= -1) THEN R24M12 = .;
   IF (R24M13 <= -1) THEN R24M13 = .;
   IF (R24M14 <= -1) THEN R24M14 = .;
   IF (R24M15 <= -1) THEN R24M15 = .;
   IF (R24M16 <= -1) THEN R24M16 = .;
   IF (R24M17 <= -1) THEN R24M17 = .;
   IF (R24M18 <= -1) THEN R24M18 = .;
   IF (R24M19 <= -1) THEN R24M19 = .;
   IF (R24M21 <= -1) THEN R24M21 = .;
   IF (R24M22 <= -1) THEN R24M22 = .;
   IF (R25M1 <= -1) THEN R25M1 = .;
   IF (R25M2 <= -1) THEN R25M2 = .;
   IF (R25M3 <= -1) THEN R25M3 = .;
   IF (R25M4 <= -1) THEN R25M4 = .;
   IF (R27 <= -1) THEN R27 = .;
   IF (R29 <= -1) THEN R29 = .;
   IF (R34 <= -1) THEN R34 = .;
   IF (R35 <= -1) THEN R35 = .;
   IF (R39 <= -1) THEN R39 = .;
   IF (R41 <= -1) THEN R41 = .;
   IF (R42 <= -1) THEN R42 = .;
   IF (R44M1 <= -1) THEN R44M1 = .;
   IF (R46 <= -1) THEN R46 = .;
   IF (R47 <= -1) THEN R47 = .;
   IF (R50 <= -1) THEN R50 = .;
   IF (R53 <= -1) THEN R53 = .;
   IF (R55 <= -1) THEN R55 = .;
   IF (R56M1 <= -1) THEN R56M1 = .;
   IF (R56M2 <= -1) THEN R56M2 = .;
   IF (R56M3 <= -1) THEN R56M3 = .;
   IF (R56M4 <= -1) THEN R56M4 = .;
   IF (R56M5 <= -1) THEN R56M5 = .;
   IF (R56M6 <= -1) THEN R56M6 = .;
   IF (R56M8 <= -1) THEN R56M8 = .;
   IF (R56M9 <= -1) THEN R56M9 = .;
   IF (R58 <= -1) THEN R58 = .;
   IF (R61 <= -1) THEN R61 = .;
   IF (R62 <= -1) THEN R62 = .;
   IF (R64 <= -1) THEN R64 = .;
   IF (R67 <= -1) THEN R67 = .;
   IF (R71 <= -1) THEN R71 = .;
   IF (R72 <= -1) THEN R72 = .;
   IF (R74 <= -1) THEN R74 = .;
   IF (R76 <= -1) THEN R76 = .;
   IF (R77 <= -1) THEN R77 = .;
   IF (R79 <= -1) THEN R79 = .;
   IF (R84M1 <= -1) THEN R84M1 = .;
   IF (R84M2 <= -1) THEN R84M2 = .;
   IF (R84M3 <= -1) THEN R84M3 = .;
   IF (R84M4 <= -1) THEN R84M4 = .;
   IF (R84M5 <= -1) THEN R84M5 = .;
   IF (R84M6 <= -1) THEN R84M6 = .;
   IF (R84M7 <= -1) THEN R84M7 = .;
   IF (R84M8 <= -1) THEN R84M8 = .;
   IF (R84M10 <= -1) THEN R84M10 = .;
   IF (R84M12 <= -1) THEN R84M12 = .;
   IF (R90M1 <= -1) THEN R90M1 = .;
   IF (R90M2 <= -1) THEN R90M2 = .;
   IF (R90M3 <= -1) THEN R90M3 = .;
   IF (R90M4 <= -1) THEN R90M4 = .;
   IF (R90M5 <= -1) THEN R90M5 = .;
   IF (R90M6 <= -1) THEN R90M6 = .;
   IF (R90M7 <= -1) THEN R90M7 = .;
   IF (R90M8 <= -1) THEN R90M8 = .;
   IF (R90M9 <= -1) THEN R90M9 = .;
   IF (R90M10 <= -1) THEN R90M10 = .;
   IF (R90M11 <= -1) THEN R90M11 = .;
   IF (R91 = 4) THEN R91 = .;
   IF (R91 <= -1) THEN R91 = .;
   IF (R92 <= -1) THEN R92 = .;
   IF (R93 <= -1) THEN R93 = .;
   IF (R97 <= -1) THEN R97 = .;
   IF (R99 <= -1) THEN R99 = .;
   IF (R100M1 <= -1) THEN R100M1 = .;
   IF (R100M2 <= -1) THEN R100M2 = .;
   IF (R100M3 <= -1) THEN R100M3 = .;
   IF (R100M4 <= -1) THEN R100M4 = .;
   IF (R100M5 <= -1) THEN R100M5 = .;
   IF (R100M6 <= -1) THEN R100M6 = .;
   IF (R102 <= -1) THEN R102 = .;
   IF (R108A1 <= -1) THEN R108A1 = .;
   IF (R108A2 <= -1) THEN R108A2 = .;
   IF (R108A3 <= -1) THEN R108A3 = .;
   IF (R108A4 <= -1) THEN R108A4 = .;
   IF (R108A5 <= -1) THEN R108A5 = .;
   IF (R108A6 <= -1) THEN R108A6 = .;
   IF (R108A7 <= -1) THEN R108A7 = .;
   IF (R108A8 <= -1) THEN R108A8 = .;
   IF (R108A9 <= -1) THEN R108A9 = .;
   IF (R108A10 <= -1) THEN R108A10 = .;
   IF (R108A11 <= -1) THEN R108A11 = .;
   IF (R108A12 <= -1) THEN R108A12 = .;
   IF (R113M1 <= -1) THEN R113M1 = .;
   IF (R113M2 <= -1) THEN R113M2 = .;
   IF (R113M3 <= -1) THEN R113M3 = .;
   IF (R113M4 <= -1) THEN R113M4 = .;
   IF (R113M5 <= -1) THEN R113M5 = .;
   IF (R113M6 <= -1) THEN R113M6 = .;
   IF (R113M7 <= -1) THEN R113M7 = .;
   IF (R113M8 <= -1) THEN R113M8 = .;
   IF (R113M9 <= -1) THEN R113M9 = .;
   IF (R113M10 <= -1) THEN R113M10 = .;
   IF (R113M11 <= -1) THEN R113M11 = .;
   IF (R113M12 <= -1) THEN R113M12 = .;
   IF (R113M13 <= -1) THEN R113M13 = .;
   IF (R113M14 <= -1) THEN R113M14 = .;
   IF (R114M1 <= -1) THEN R114M1 = .;
   IF (R114M2 <= -1) THEN R114M2 = .;
   IF (R114M3 <= -1) THEN R114M3 = .;
   IF (R114M4 <= -1) THEN R114M4 = .;
   IF (R114M5 <= -1) THEN R114M5 = .;
   IF (R114M6 <= -1) THEN R114M6 = .;
   IF (R114M7 <= -1) THEN R114M7 = .;
   IF (R114M8 <= -1) THEN R114M8 = .;
   IF (R116A1 <= -1) THEN R116A1 = .;
   IF (R117A1 <= -1) THEN R117A1 = .;
   IF (R120A1 <= -1) THEN R120A1 = .;
   IF (R122A1 <= -1) THEN R122A1 = .;
   IF (R116A2 <= -1) THEN R116A2 = .;
   IF (R117A2 <= -1) THEN R117A2 = .;
   IF (R120A2 <= -1) THEN R120A2 = .;
   IF (R122A2 <= -1) THEN R122A2 = .;
   IF (R123A2 <= -1) THEN R123A2 = .;
   IF (R116A3 <= -1) THEN R116A3 = .;
   IF (R117A3 <= -1) THEN R117A3 = .;
   IF (R118A3 <= -1) THEN R118A3 = .;
   IF (R119A3 <= -1) THEN R119A3 = .;
   IF (R120A3 <= -1) THEN R120A3 = .;
   IF (R122A3 <= -1) THEN R122A3 = .;
   IF (R123A3 <= -1) THEN R123A3 = .;
   IF (R116A4 <= -1) THEN R116A4 = .;
   IF (R117A4 <= -1) THEN R117A4 = .;
   IF (R118A4 <= -1) THEN R118A4 = .;
   IF (R119A4 <= -1) THEN R119A4 = .;
   IF (R120A4 <= -1) THEN R120A4 = .;
   IF (R122A4 <= -1) THEN R122A4 = .;
   IF (R123A4 <= -1) THEN R123A4 = .;
   IF (R116A5 <= -1) THEN R116A5 = .;
   IF (R117A5 <= -1) THEN R117A5 = .;
   IF (R120A5 <= -1) THEN R120A5 = .;
   IF (R122A5 <= -1) THEN R122A5 = .;
   IF (R116A6 <= -1) THEN R116A6 = .;
   IF (R117A6 <= -1) THEN R117A6 = .;
   IF (R120A6 <= -1) THEN R120A6 = .;
   IF (R122A6 <= -1) THEN R122A6 = .;
   IF (R116A7 <= -1) THEN R116A7 = .;
   IF (R117A7 <= -1) THEN R117A7 = .;
   IF (R120A7 <= -1) THEN R120A7 = .;
   IF (R122A7 <= -1) THEN R122A7 = .;
   IF (R123A7 <= -1) THEN R123A7 = .;
   IF (R116A8 <= -1) THEN R116A8 = .;
   IF (R117A8 <= -1) THEN R117A8 = .;
   IF (R120A8 <= -1) THEN R120A8 = .;
   IF (R122A8 <= -1) THEN R122A8 = .;
   IF (R116A9 <= -1) THEN R116A9 = .;
   IF (R117A9 <= -1) THEN R117A9 = .;
   IF (R120A9 <= -1) THEN R120A9 = .;
   IF (R122A9 <= -1) THEN R122A9 = .;
   IF (R123A9 <= -1) THEN R123A9 = .;
   IF (R116A10 <= -1) THEN R116A10 = .;
   IF (R117A10 <= -1) THEN R117A10 = .;
   IF (R120A10 <= -1) THEN R120A10 = .;
   IF (R122A10 <= -1) THEN R122A10 = .;
   IF (R123A10 <= -1) THEN R123A10 = .;
   IF (R116A11 <= -1) THEN R116A11 = .;
   IF (R117A11 <= -1) THEN R117A11 = .;
   IF (R120A11 <= -1) THEN R120A11 = .;
   IF (R122A11 <= -1) THEN R122A11 = .;
   IF (R123A11 <= -1) THEN R123A11 = .;
   IF (R116A12 <= -1) THEN R116A12 = .;
   IF (R117A12 <= -1) THEN R117A12 = .;
   IF (R120A12 <= -1) THEN R120A12 = .;
   IF (R122A12 <= -1) THEN R122A12 = .;
   IF (R124 <= -1) THEN R124 = .;
   IF (R125 <= -1) THEN R125 = .;
   IF (R126 <= -1) THEN R126 = .;
   IF (R127 <= -1) THEN R127 = .;
   IF (R128 <= -1) THEN R128 = .;
   IF (R129 = 3) THEN R129 = .;
   IF (R129 <= -1) THEN R129 = .;
   IF (R130 <= -1) THEN R130 = .;
   IF (R131 <= -1) THEN R131 = .;
   IF (R132 <= -1) THEN R132 = .;
   IF (R133 <= -1) THEN R133 = .;
   IF (R135 <= -1) THEN R135 = .;
   IF (R136 <= -1) THEN R136 = .;
   IF (R137 <= -1) THEN R137 = .;
   IF (R138 <= -1) THEN R138 = .;
   IF (R139 <= -1) THEN R139 = .;
   IF (R140 <= -1) THEN R140 = .;
   IF (R142A1 <= -1) THEN R142A1 = .;
   IF (R143A1 <= -1) THEN R143A1 = .;
   IF (R144A1 <= -1) THEN R144A1 = .;
   IF (R147A1 <= -1) THEN R147A1 = .;
   IF (R142A2 <= -1) THEN R142A2 = .;
   IF (R143A2 <= -1) THEN R143A2 = .;
   IF (R144A2 <= -1) THEN R144A2 = .;
   IF (R147A2 <= -1) THEN R147A2 = .;
   IF (R142A3 <= -1) THEN R142A3 = .;
   IF (R143A3 <= -1) THEN R143A3 = .;
   IF (R144A3 <= -1) THEN R144A3 = .;
   IF (R155 <= -1) THEN R155 = .;
   IF (R156 <= -1) THEN R156 = .;
   IF (R157 <= -1) THEN R157 = .;
   IF (R159 <= -1) THEN R159 = .;
   IF (R160 <= -1) THEN R160 = .;
   IF (R161 <= -1) THEN R161 = .;
   IF (R162 <= -1) THEN R162 = .;
   IF (R171 <= -1) THEN R171 = .;
   IF (R172 <= -1) THEN R172 = .;
   IF (R173 <= -1) THEN R173 = .;
   IF (R174 <= -1) THEN R174 = .;
   IF (R175 <= -1) THEN R175 = .;
   IF (R176 <= -1) THEN R176 = .;
   IF (R177 <= -1) THEN R177 = .;
   IF (R178 <= -1) THEN R178 = .;
   IF (R179 <= -1) THEN R179 = .;
   IF (R182A1 <= -1) THEN R182A1 = .;
   IF (R184A1 <= -1) THEN R184A1 = .;
   IF (R185A1 <= -1) THEN R185A1 = .;
   IF (R182A2 <= -1) THEN R182A2 = .;
   IF (R184A2 <= -1) THEN R184A2 = .;
   IF (R185A2 <= -1) THEN R185A2 = .;
   IF (R182A3 <= -1) THEN R182A3 = .;
   IF (R184A3 <= -1) THEN R184A3 = .;
   IF (R185A3 <= -1) THEN R185A3 = .;
   IF (R182A4 <= -1) THEN R182A4 = .;
   IF (R185A4 <= -1) THEN R185A4 = .;
   IF (R182A5 <= -1) THEN R182A5 = .;
   IF (R185A5 <= -1) THEN R185A5 = .;
   IF (R182A6 <= -1) THEN R182A6 = .;
   IF (R185A6 <= -1) THEN R185A6 = .;
   IF (R182A7 <= -1) THEN R182A7 = .;
   IF (R185A7 <= -1) THEN R185A7 = .;
   IF (R182A8 <= -1) THEN R182A8 = .;
   IF (R185A8 <= -1) THEN R185A8 = .;
   IF (R182A9 <= -1) THEN R182A9 = .;
   IF (R185A9 <= -1) THEN R185A9 = .;
   IF (R187 <= -1) THEN R187 = .;
   IF (R189 <= -1) THEN R189 = .;
   IF (R190 <= -1) THEN R190 = .;
   IF (R191 <= -1) THEN R191 = .;
   IF (R192 <= -1) THEN R192 = .;
   IF (R193 <= -1) THEN R193 = .;
   IF (R194 <= -1) THEN R194 = .;
   IF (R195 <= -1) THEN R195 = .;
   IF (R198A1 <= -1) THEN R198A1 = .;
   IF (R198A2 <= -1) THEN R198A2 = .;
   IF (R198A3 <= -1) THEN R198A3 = .;
   IF (R198A4 <= -1) THEN R198A4 = .;
   IF (R198A5 <= -1) THEN R198A5 = .;
   IF (R200A1 <= -1) THEN R200A1 = .;
   IF (R202A1 <= -1) THEN R202A1 = .;
   IF (R200A2 <= -1) THEN R200A2 = .;
   IF (R202A2 <= -1) THEN R202A2 = .;
   IF (R200A3 <= -1) THEN R200A3 = .;
   IF (R202A3 <= -1) THEN R202A3 = .;
   IF (R200A4 <= -1) THEN R200A4 = .;
   IF (R202A4 <= -1) THEN R202A4 = .;
   IF (R200A5 <= -1) THEN R200A5 = .;
   IF (R202A5 <= -1) THEN R202A5 = .;
   IF (R203 <= -1) THEN R203 = .;
   IF (R204M1 <= -1) THEN R204M1 = .;
   IF (R204M2 <= -1) THEN R204M2 = .;
   IF (R204M3 <= -1) THEN R204M3 = .;
   IF (R204M4 <= -1) THEN R204M4 = .;
   IF (R204M5 <= -1) THEN R204M5 = .;
   IF (R204M6 <= -1) THEN R204M6 = .;
   IF (R205 <= -1) THEN R205 = .;
   IF (R206M1 <= -1) THEN R206M1 = .;
   IF (R206M2 <= -1) THEN R206M2 = .;
   IF (R206M3 <= -1) THEN R206M3 = .;
   IF (R206M4 <= -1) THEN R206M4 = .;
   IF (R206M5 <= -1) THEN R206M5 = .;
   IF (R206M6 <= -1) THEN R206M6 = .;
   IF (R207 <= -1) THEN R207 = .;
   IF (R208M1 <= -1) THEN R208M1 = .;
   IF (R208M2 <= -1) THEN R208M2 = .;
   IF (R211 <= -1) THEN R211 = .;
   IF (R212 <= -1) THEN R212 = .;
   IF (R213 <= -1) THEN R213 = .;
   IF (R214 <= -1) THEN R214 = .;
   IF (R216 <= -1) THEN R216 = .;
   IF (R218 <= -1) THEN R218 = .;
   IF (R219 <= -1) THEN R219 = .;
   IF (R220 <= -1) THEN R220 = .;
   IF (R221 = 5) THEN R221 = .;
   IF (R221 <= -1) THEN R221 = .;
   IF (R222 <= -1) THEN R222 = .;
   IF (R223 <= -1) THEN R223 = .;
   IF (R225 <= -1) THEN R225 = .;
   IF (R226 <= -1) THEN R226 = .;
   IF (R227 <= -1) THEN R227 = .;
   IF (R228 <= -1) THEN R228 = .;
   IF (R229 <= -1) THEN R229 = .;
   IF (R231 = 99) THEN R231 = .;
   IF (R231 <= -1) THEN R231 = .;
   IF (R232 = 99) THEN R232 = .;
   IF (R232 <= -1) THEN R232 = .;
   IF (R233 = 99) THEN R233 = .;
   IF (R233 <= -1) THEN R233 = .;
   IF (R234 <= -1) THEN R234 = .;
   IF (R236 <= -1) THEN R236 = .;
   IF (R237 <= -1) THEN R237 = .;
   IF (R238 <= -1) THEN R238 = .;
   IF (R239 <= -1) THEN R239 = .;
   IF (R240 <= -1) THEN R240 = .;
   IF (R241 <= -1) THEN R241 = .;
   IF (R242 <= -1) THEN R242 = .;
   IF (R244 <= -1) THEN R244 = .;
   IF (R245 <= -1) THEN R245 = .;
   IF (R246 <= -1) THEN R246 = .;
   IF (R247 <= -1) THEN R247 = .;
   IF (R248 <= -1) THEN R248 = .;
   IF (R250 <= -1) THEN R250 = .;
   IF (R251 <= -1) THEN R251 = .;
   IF (R253 <= -1) THEN R253 = .;
   IF (R255 <= -1) THEN R255 = .;
   IF (R256 <= -1) THEN R256 = .;
   IF (R258 <= -1) THEN R258 = .;
   IF (R259 = 999) THEN R259 = .;
   IF (R259 <= -1) THEN R259 = .;
   IF (R260 = 7) THEN R260 = .;
   IF (R260 <= -1) THEN R260 = .;
   IF (R262 = 5) THEN R262 = .;
   IF (R262 <= -1) THEN R262 = .;
   IF (R263 <= -1) THEN R263 = .;
   IF (R264 = 3) THEN R264 = .;
   IF (R264 <= -1) THEN R264 = .;
   IF (R270M1 <= -1) THEN R270M1 = .;
   IF (R270M2 <= -1) THEN R270M2 = .;
   IF (R270M3 <= -1) THEN R270M3 = .;
   IF (R270M4 <= -1) THEN R270M4 = .;
   IF (R271 <= -1) THEN R271 = .;
   IF (R272M1 <= -1) THEN R272M1 = .;
   IF (R272M2 <= -1) THEN R272M2 = .;
   IF (R272M3 <= -1) THEN R272M3 = .;
   IF (R273 <= -1) THEN R273 = .;
   IF (R274 <= -1) THEN R274 = .;
   IF (R275 <= -1) THEN R275 = .;
   IF (R276 <= -1) THEN R276 = .;
   IF (R277 <= -1) THEN R277 = .;
   IF (R278 <= -1) THEN R278 = .;
   IF (R279 <= -1) THEN R279 = .;
   IF (R280 <= -1) THEN R280 = .;
   IF (R281 <= -1) THEN R281 = .;
   IF (R282 <= -1) THEN R282 = .;
   IF (R287 <= -1) THEN R287 = .;
   IF (R288 <= -1) THEN R288 = .;
   IF (R289 <= -1) THEN R289 = .;
   IF (R290 <= -1) THEN R290 = .;
   IF (R291 <= -1) THEN R291 = .;
   IF (R292 <= -1) THEN R292 = .;
   IF (R293 <= -1) THEN R293 = .;
   IF (R294 <= -1) THEN R294 = .;
   IF (R295 <= -1) THEN R295 = .;
   IF (R296 = 3) THEN R296 = .;
   IF (R296 <= -1) THEN R296 = .;
   IF (R297 <= -1) THEN R297 = .;
   IF (R298 <= -1) THEN R298 = .;
   IF (R299 <= -1) THEN R299 = .;
   IF (R300 <= -1) THEN R300 = .;
   IF (R301 <= -1) THEN R301 = .;
   IF (R302 <= -1) THEN R302 = .;
   IF (R303 <= -1) THEN R303 = .;
   IF (R304 <= -1) THEN R304 = .;
   IF (R305 <= -1) THEN R305 = .;
   IF (R306 <= -1) THEN R306 = .;
   IF (R307 <= -1) THEN R307 = .;
   IF (R308 <= -1) THEN R308 = .;
   IF (R309 <= -1) THEN R309 = .;
   IF (R310 <= -1) THEN R310 = .;
   IF (R311 <= -1) THEN R311 = .;
   IF (R313A1 <= -1) THEN R313A1 = .;
   IF (R313A2 <= -1) THEN R313A2 = .;
   IF (R313A3 <= -1) THEN R313A3 = .;
   IF (R314 <= -1) THEN R314 = .;
   IF (R322 <= -1) THEN R322 = .;
   IF (R323 <= -1) THEN R323 = .;
   IF (R324 <= -1) THEN R324 = .;
   IF (R325 <= -1) THEN R325 = .;
   IF (R326 <= -1) THEN R326 = .;
   IF (R327 <= -1) THEN R327 = .;
   IF (R328 <= -1) THEN R328 = .;
   IF (R329 <= -1) THEN R329 = .;
   IF (R330 <= -1) THEN R330 = .;
   IF (R331 <= -1) THEN R331 = .;
   IF (R332 <= -1) THEN R332 = .;
   IF (R333 <= -1) THEN R333 = .;
   IF (R334 <= -1) THEN R334 = .;
   IF (R335 <= -1) THEN R335 = .;
   IF (R336 <= -1) THEN R336 = .;
   IF (R337 <= -1) THEN R337 = .;
   IF (R338 <= -1) THEN R338 = .;
   IF (R339 <= -1) THEN R339 = .;
   IF (R340 <= -1) THEN R340 = .;
   IF (R341 <= -1) THEN R341 = .;
   IF (R344A2 <= -1) THEN R344A2 = .;
   IF (R345A2 <= -1) THEN R345A2 = .;
   IF (R344A3 <= -1) THEN R344A3 = .;
   IF (R345A3 <= -1) THEN R345A3 = .;
   IF (R345A5 <= -1) THEN R345A5 = .;
   IF (R345A10 <= -1) THEN R345A10 = .;
   IF (R344A11 <= -1) THEN R344A11 = .;
   IF (R345A11 <= -1) THEN R345A11 = .;
   IF (R344A12 <= -1) THEN R344A12 = .;
   IF (R345A12 <= -1) THEN R345A12 = .;
   IF (R344A15 <= -1) THEN R344A15 = .;
   IF (R345A15 <= -1) THEN R345A15 = .;
   IF (R345A16 <= -1) THEN R345A16 = .;
   IF (R345A17 <= -1) THEN R345A17 = .;
   IF (R344A18 <= -1) THEN R344A18 = .;
   IF (R346 <= -1) THEN R346 = .;
   IF (R348A1 <= -1) THEN R348A1 = .;
   IF (R351A1 <= -1) THEN R351A1 = .;
   IF (R348A2 <= -1) THEN R348A2 = .;
   IF (R351A2 <= -1) THEN R351A2 = .;
   IF (R348A3 <= -1) THEN R348A3 = .;
   IF (R351A3 <= -1) THEN R351A3 = .;
   IF (R348A4 <= -1) THEN R348A4 = .;
   IF (R351A4 <= -1) THEN R351A4 = .;
   IF (R348A5 <= -1) THEN R348A5 = .;
   IF (R351A5 <= -1) THEN R351A5 = .;
   IF (R348A6 <= -1) THEN R348A6 = .;
   IF (R351A6 <= -1) THEN R351A6 = .;
   IF (R348A7 <= -1) THEN R348A7 = .;
   IF (R351A7 <= -1) THEN R351A7 = .;
   IF (R348A8 <= -1) THEN R348A8 = .;
   IF (R351A8 <= -1) THEN R351A8 = .;
   IF (R348A9 <= -1) THEN R348A9 = .;
   IF (R351A9 <= -1) THEN R351A9 = .;
   IF (R348A10 <= -1) THEN R348A10 = .;
   IF (R351A10 <= -1) THEN R351A10 = .;
   IF (R348A11 <= -1) THEN R348A11 = .;
   IF (R351A11 <= -1) THEN R351A11 = .;
   IF (R348A12 <= -1) THEN R348A12 = .;
   IF (R351A12 <= -1) THEN R351A12 = .;
   IF (R348A13 <= -1) THEN R348A13 = .;
   IF (R351A13 <= -1) THEN R351A13 = .;
   IF (R348A14 <= -1) THEN R348A14 = .;
   IF (R351A14 <= -1) THEN R351A14 = .;
   IF (R348A15 <= -1) THEN R348A15 = .;
   IF (R351A15 <= -1) THEN R351A15 = .;
   IF (R348A16 <= -1) THEN R348A16 = .;
   IF (R351A16 <= -1) THEN R351A16 = .;
   IF (R348A17 <= -1) THEN R348A17 = .;
   IF (R351A17 <= -1) THEN R351A17 = .;
   IF (R348A18 <= -1) THEN R348A18 = .;
   IF (R351A18 <= -1) THEN R351A18 = .;
   IF (R348A19 <= -1) THEN R348A19 = .;
   IF (R351A19 <= -1) THEN R351A19 = .;
   IF (R348A20 <= -1) THEN R348A20 = .;
   IF (R351A20 <= -1) THEN R351A20 = .;
   IF (R348A21 <= -1) THEN R348A21 = .;
   IF (R351A21 <= -1) THEN R351A21 = .;
   IF (R352 <= -1) THEN R352 = .;
   IF (R353 <= -1) THEN R353 = .;
   IF (R354 <= -1) THEN R354 = .;
   IF (R357 <= -1) THEN R357 = .;
   IF (R358 <= -1) THEN R358 = .;
   IF (R359 <= -1) THEN R359 = .;
   IF (R360 <= -1) THEN R360 = .;
   IF (R361 = 3) THEN R361 = .;
   IF (R361 <= -1) THEN R361 = .;
   IF (R362 = 3) THEN R362 = .;
   IF (R362 <= -1) THEN R362 = .;
   IF (R363 <= -1) THEN R363 = .;
   IF (R364 <= -1) THEN R364 = .;
   IF (R365 <= -1) THEN R365 = .;
   IF (R366 <= -1) THEN R366 = .;
   IF (R369 = 6) THEN R369 = .;
   IF (R369 <= -1) THEN R369 = .;
   IF (R371 <= -1) THEN R371 = .;
   IF (R372 <= -1) THEN R372 = .;
   IF (R373 <= -1) THEN R373 = .;
   IF (R375 <= -1) THEN R375 = .;
   IF (R377 <= -1) THEN R377 = .;
   IF (R378M1 <= -1) THEN R378M1 = .;
   IF (R378M2 <= -1) THEN R378M2 = .;
   IF (R378M3 <= -1) THEN R378M3 = .;
   IF (R378M4 <= -1) THEN R378M4 = .;
   IF (R378M5 <= -1) THEN R378M5 = .;
   IF (R378M6 <= -1) THEN R378M6 = .;
   IF (R378M7 <= -1) THEN R378M7 = .;
   IF (R378M8 <= -1) THEN R378M8 = .;
   IF (R378M9 <= -1) THEN R378M9 = .;
   IF (R378M10 <= -1) THEN R378M10 = .;
   IF (R378M11 <= -1) THEN R378M11 = .;
   IF (R378M12 <= -1) THEN R378M12 = .;
   IF (R378M13 <= -1) THEN R378M13 = .;
   IF (R378M14 <= -1) THEN R378M14 = .;
   IF (R378M15 <= -1) THEN R378M15 = .;
   IF (R378M16 <= -1) THEN R378M16 = .;
   IF (R378M17 <= -1) THEN R378M17 = .;
   IF (R379 <= -1) THEN R379 = .;
   IF (R380 <= -1) THEN R380 = .;
   IF (R381 <= -1) THEN R381 = .;
   IF (R384A1 <= -1) THEN R384A1 = .;
   IF (R385A1 <= -1) THEN R385A1 = .;
   IF (R388A1 <= -1) THEN R388A1 = .;
   IF (R389A1 <= -1) THEN R389A1 = .;
   IF (R389A2 <= -1) THEN R389A2 = .;
   IF (R391 <= -1) THEN R391 = .;
   IF (R392 = 3) THEN R392 = .;
   IF (R392 <= -1) THEN R392 = .;
   IF (R393 = 3) THEN R393 = .;
   IF (R393 <= -1) THEN R393 = .;
   IF (R397M1 = 3) THEN R397M1 = .;
   IF (R397M1 <= -1) THEN R397M1 = .;
   IF (R397M2 = 3) THEN R397M2 = .;
   IF (R397M2 <= -1) THEN R397M2 = .;
   IF (R397M3 = 3) THEN R397M3 = .;
   IF (R397M3 <= -1) THEN R397M3 = .;
   IF (R397M4 = 3) THEN R397M4 = .;
   IF (R397M4 <= -1) THEN R397M4 = .;
   IF (R397M5 = 3) THEN R397M5 = .;
   IF (R397M5 <= -1) THEN R397M5 = .;
   IF (R397M6 = 3) THEN R397M6 = .;
   IF (R397M6 <= -1) THEN R397M6 = .;
   IF (R397M7 = 3) THEN R397M7 = .;
   IF (R397M7 <= -1) THEN R397M7 = .;
   IF (R397M8 = 3) THEN R397M8 = .;
   IF (R397M8 <= -1) THEN R397M8 = .;
   IF (R397M9 = 3) THEN R397M9 = .;
   IF (R397M9 <= -1) THEN R397M9 = .;
   IF (R397M10 = 3) THEN R397M10 = .;
   IF (R397M10 <= -1) THEN R397M10 = .;
   IF (R397M11 = 3) THEN R397M11 = .;
   IF (R397M11 <= -1) THEN R397M11 = .;
   IF (R399 <= -1) THEN R399 = .;
   IF (R400 <= -1) THEN R400 = .;
   IF (R401 <= -1) THEN R401 = .;
   IF (R403 <= -1) THEN R403 = .;
   IF (R407M2 <= -1) THEN R407M2 = .;
   IF (R409 <= -1) THEN R409 = .;
   IF (R411 <= -1) THEN R411 = .;
   IF (R412 <= -1) THEN R412 = .;
   IF (R413 <= -1) THEN R413 = .;
   IF (R416A1 <= -1) THEN R416A1 = .;
   IF (R416A2 <= -1) THEN R416A2 = .;
   IF (R416A3 <= -1) THEN R416A3 = .;
   IF (R416A4 <= -1) THEN R416A4 = .;
   IF (R416A5 <= -1) THEN R416A5 = .;
   IF (R416A6 <= -1) THEN R416A6 = .;
   IF (R416A7 <= -1) THEN R416A7 = .;
   IF (R419M1 <= -1) THEN R419M1 = .;
   IF (R419M2 <= -1) THEN R419M2 = .;
   IF (R420 <= -1) THEN R420 = .;
   IF (R423 <= -1) THEN R423 = .;
   IF (R427A1 <= -1) THEN R427A1 = .;
   IF (R427A2 <= -1) THEN R427A2 = .;
   IF (R427A3 <= -1) THEN R427A3 = .;
   IF (R427A4 <= -1) THEN R427A4 = .;
   IF (R427A5 <= -1) THEN R427A5 = .;
   IF (R427A6 <= -1) THEN R427A6 = .;
   IF (R427A7 <= -1) THEN R427A7 = .;
   IF (R427A8 <= -1) THEN R427A8 = .;
   IF (R427A9 <= -1) THEN R427A9 = .;
   IF (R427A10 <= -1) THEN R427A10 = .;
   IF (R428 <= -1) THEN R428 = .;
   IF (R429 <= -1) THEN R429 = .;
   IF (R431 <= -1) THEN R431 = .;
   IF (R436A1 <= -1) THEN R436A1 = .;
   IF (R437A1 = 6) THEN R437A1 = .;
   IF (R437A1 <= -1) THEN R437A1 = .;
   IF (R436A2 <= -1) THEN R436A2 = .;
   IF (R437A2 = 6) THEN R437A2 = .;
   IF (R437A2 <= -1) THEN R437A2 = .;
   IF (R436A3 <= -1) THEN R436A3 = .;
   IF (R437A3 = 6) THEN R437A3 = .;
   IF (R437A3 <= -1) THEN R437A3 = .;
   IF (R436A4 <= -1) THEN R436A4 = .;
   IF (R437A4 = 6) THEN R437A4 = .;
   IF (R437A4 <= -1) THEN R437A4 = .;
   IF (R436A5 <= -1) THEN R436A5 = .;
   IF (R437A5 = 6) THEN R437A5 = .;
   IF (R437A5 <= -1) THEN R437A5 = .;
   IF (R439 <= -1) THEN R439 = .;
   IF (R440 <= -1) THEN R440 = .;
   IF (R441 <= -1) THEN R441 = .;
   IF (R442 <= -1) THEN R442 = .;
   IF (R443 <= -1) THEN R443 = .;
   IF (R444 <= -1) THEN R444 = .;
   IF (R445 <= -1) THEN R445 = .;
   IF (R447 <= -1) THEN R447 = .;
   IF (R448 <= -1) THEN R448 = .;
   IF (R449 <= -1) THEN R449 = .;
   IF (R450 <= -1) THEN R450 = .;
   IF (R451 <= -1) THEN R451 = .;
   IF (R452 <= -1) THEN R452 = .;
   IF (R454A1 <= -1) THEN R454A1 = .;
   IF (R456A1 <= -1) THEN R456A1 = .;
   IF (R455A2 <= -1) THEN R455A2 = .;
   IF (R456A2 <= -1) THEN R456A2 = .;
   IF (R455A3 <= -1) THEN R455A3 = .;
   IF (R456A3 <= -1) THEN R456A3 = .;
   IF (R457 <= -1) THEN R457 = .;
   IF (R458 <= -1) THEN R458 = .;
   IF (R459M1 <= -1) THEN R459M1 = .;
   IF (R459M2 <= -1) THEN R459M2 = .;
   IF (R459M3 <= -1) THEN R459M3 = .;
   IF (R459M4 <= -1) THEN R459M4 = .;
   IF (R462M1 <= -1) THEN R462M1 = .;
   IF (R462M4 <= -1) THEN R462M4 = .;
   IF (R462M5 <= -1) THEN R462M5 = .;
   IF (R463 <= -1) THEN R463 = .;
   IF (R464 <= -1) THEN R464 = .;
   IF (R465 <= -1) THEN R465 = .;
   IF (R466 <= -1) THEN R466 = .;
   IF (R467 = 3) THEN R467 = .;
   IF (R467 <= -1) THEN R467 = .;
   IF (R468 = 3) THEN R468 = .;
   IF (R468 <= -1) THEN R468 = .;
   IF (R469 = 3) THEN R469 = .;
   IF (R469 <= -1) THEN R469 = .;
   IF (R470 <= -1) THEN R470 = .;
   IF (R471 <= -1) THEN R471 = .;
   IF (R472 <= -1) THEN R472 = .;
   IF (R474 <= -1) THEN R474 = .;
   IF (RTOTANS <= -1) THEN RTOTANS = .;
   IF (RTOTREF <= -1) THEN RTOTREF = .;
   IF (RTOTDK <= -1) THEN RTOTDK = .;
   IF (AFDRUG1 <= -1) THEN AFDRUG1 = .;
   IF (AFDRUG2 <= -1) THEN AFDRUG2 = .;
   IF (QUEXSTAT <= -1) THEN QUEXSTAT = .;
   IF (BCSTAT <= -1) THEN BCSTAT = .;
   IF (URISTAT <= -1) THEN URISTAT = .;
   IF (LOS <= -1.00) THEN LOS = .;
   IF (LOSCENSR <= -1) THEN LOSCENSR = .;
   IF (DURATTX <= -1.00) THEN DURATTX = .;
   IF (DURAPTX <= -1) THEN DURAPTX = .;
   IF (DURAPDP <= -1.00) THEN DURAPDP = .;
   IF (TFSCOMP <= -1) THEN TFSCOMP = .;
   IF (NRIQLTAR <= -1) THEN NRIQLTAR = .;
   IF (NRIQDRUG <= -1) THEN NRIQDRUG = .;
   IF (NPAQAR <= -1) THEN NPAQAR = .;
   IF (FLDISP <= -1) THEN FLDISP = .;
   IF (LABDISP <= -1) THEN LABDISP = .;
   IF (CAN <= -1) THEN CAN = .;
   IF (COC <= -1) THEN COC = .;
   IF (PCP <= -1) THEN PCP = .;
   IF (OPI <= -1) THEN OPI = .;
   IF (AMP <= -1) THEN AMP = .;
   IF (BEN <= -1) THEN BEN = .;
   IF (MET <= -1) THEN MET = .;
   IF (ALC <= -1) THEN ALC = .;
   IF (RBEERVOL <= -1) THEN RBEERVOL = .;
   IF (RWINEVOL <= -1) THEN RWINEVOL = .;
   IF (RLIQUVOL <= -1) THEN RLIQUVOL = .;
*/

RUN ;
